program ObimpCmd;

  {$APPTYPE CONSOLE}

  //=========== reducing exe size
  {$WEAKLINKRTTI ON}
  {$RTTI EXPLICIT METHODS([]) FIELDS([]) PROPERTIES([])}

uses
  Windows,
  SysUtils,
  OverbyteIcsConApp,
  app_cmd in 'app_cmd.pas',
  app_utils in 'app_utils.pas',
  u_obimp_const in 'dll\u_obimp_const.pas',
  obimp_dll in 'dll\obimp_dll.pas',
  u_obimp_codes in 'dll\u_obimp_codes.pas';

{***************************************************************}
begin
  {$IFDEF DEBUG}
  ReportMemoryLeaksOnShutdown := True;
  {$ENDIF}

  Log('*** OBIMP Command line tool ***');
  Log('* Press ESC or Ctrl+Break to terminate this application');

  TConApplication.CreateInstance(TBimAppCmd);
  AppCmd := TBimAppCmd(ConApplication);
  AppCmd.Start;
  try
    AppCmd.Run;
  finally
    AppCmd.Free;
  end;
end.
